petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscViewerAppendOptionsPrefix

Appends to the prefix used for searching for all PetscViewer options in the database.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerAppendOptionsPrefix(PetscViewer viewer,const char prefix[])

Logically Collective on PetscViewer

### Input Parameters

| viewer | - the PetscViewer context
| prefix | - the prefix to prepend to all option names

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### Keywords

PetscViewer, append, options, prefix, database

### See Also

PetscViewerGetOptionsPrefix()

### Level

advanced

### Location

src/sys/classes/viewer/interface/view.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages